<hr class="bg-dark p-0 m-0">
<p class="mt-3"><strong>{{commonContent.tenantID}}</strong></p>
<hr class="bg-light p-0 m-0">
<form ngForm #addNewKPIRuleForm="ngForm" class="mt-2 mr-2 ml-3 pr-5">
  <p class="text-left text-danger font-weight-bold ml-11">* {{kpi.required}}</p>
  <div class="row mt-3">
    <div [className]="isRuleEditMode ? 'col-md-4' : 'col-md-3'">
      <p class="text-left text-dark font-weight-bold">{{kpi.ruleCategory}}</p>
      <p class="text-left text-muted">{{kpi.ruleCatName}}</p>
    </div>
    <div [className]="isRuleEditMode ? 'col-md-4' : 'col-md-5'">
      <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{kpi.dataLayer.title}}</span>
      <div *ngIf="!isRuleEditMode">
        <ejs-dropdownlist required name="selectLayer" #selectLayer="ngModel" [(ngModel)]="kpiDetails.data_layer_id"
          [dataSource]="businessLayerList" [fields]="businessLayerFields" (change)=dataLayerChange($event)
          cssClass="e-outline" class="custom-ddl" [placeholder]="kpi.selectOptionWaterMark"
          [ngClass]="selectLayer.invalid && (selectLayer.touched || formInvalidAfterSaveClick)?'error-control-highlight':''"
          allowFiltering="true" [filterBarPlaceholder]="filterPlaceholder">
        </ejs-dropdownlist>
        <div *ngIf="selectLayer.invalid && (selectLayer.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{kpi.dataLayer.errorMsg}}</p>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted mt-3">{{editKPIDetails.data_layer_nm}}</p>
      </div>
    </div>
    <div class="col-md-4">
      <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{kpi.object.title}}</span>
      <div *ngIf="!isRuleEditMode">
        <ejs-dropdownlist required name="selectObject" #selectObject="ngModel" [(ngModel)]="kpiDetails.obj_id"
          [dataSource]="objectList" [fields]="objectFields" cssClass="e-outline"
           class="custom-ddl" [placeholder]="kpi.selectOptionWaterMark" 
           [ngClass]="selectObject.invalid && (selectObject.touched || formInvalidAfterSaveClick)?'error-control-highlight':''"
           allowFiltering="true" [filterBarPlaceholder]="filterPlaceholder">
        </ejs-dropdownlist>
        <div *ngIf="selectObject.invalid && (selectObject.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{kpi.object.errorMsg}}</p>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted mt-3">{{editKPIDetails.obj_nm}}</p>
      </div>
    </div>
  </div>
  <hr class="bg-light customHR">
  <div class="row mt-3 custrow">
      <p class="text-left text-dark font-weight-bold"><span class="text-danger">* </span>{{kpi.query.title}}</p>
      <ejs-tooltip *ngIf="!isRuleEditMode" id="tooltip" content={{kpi.query.subtitle}}>
        <em class="fa fa-info-circle ml-2"></em></ejs-tooltip>
      <div class="col-md-12">
      <ejs-textbox required name="ruleQuery" #ruleQuery="ngModel" [(ngModel)]="kpiDetails.cstm_qry" cssClass="e-outline"
        class="mr-2 custom-textbox" [multiline]="true">
      </ejs-textbox>
      <div *ngIf="ruleQuery.invalid && (ruleQuery.touched || formInvalidAfterSaveClick)">
        <p class="text-danger">{{kpi.query.errorMsg}}</p>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-3">
      <p class="text-left text-dark font-weight-bold">{{kpi.status.title}}</p>
      <span>
        <ejs-checkbox [label]="kpi.status.label" name="active" #active="ngModel" [(ngModel)]="kpiDetails.is_rule_actv"
          [value]="status">
        </ejs-checkbox>
      </span>
    </div>
    <div class="col-md-9">
      <p class="text-left text-dark font-weight-bold">
        {{kpi.severity.title}}</p>
      <span *ngFor="let severityOption of severityOptions" class="mr-2">
        <ejs-radiobutton label="{{severityOption}}" name="severity" #severity="ngModel"
          [(ngModel)]="kpiDetails.rule_svrt" value="{{severityOption}}" (click)="kpiDetails.rule_svrt = severityOption"
          [ngClass]="kpiDetails.rule_svrt === severityOption?'chkdcustom-radio-btn':'custom-radio-btn'">
        </ejs-radiobutton>
      </span>
    </div>
  </div>
  <div class="row mt-3 custrow">
    <div class="col-md-12">
      <p class="text-left text-dark font-weight-bold">{{kpi.description.title}}</p>
      <ejs-textbox name="description" #description="ngModel" [(ngModel)]="kpiDetails.rule_desc" cssClass="e-outline"
        class="mr-2 custom-textbox" [multiline]="true">
      </ejs-textbox>
    </div>
  </div>
</form>
<hr>
<div class="bg-light pt-3 pl-3">
  <h6 class="text-left text-dark font-weight-bold">{{commonContent.applySelections}}</h6>
  <div class="row p-3">
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{commonContent.applyOptions[0]}}</span>
      <ejs-dropdownlist name="therapeuticClass" #therapeuticClass="ngModel" [(ngModel)]="activeApplyDropdownList"
        [dataSource]="applyDropdownList" cssClass="e-outline" class="custom-small-ddl"
        [placeholder]="kpi.selectOptionWaterMark">
      </ejs-dropdownlist>
    </div>
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{commonContent.applyOptions[1]}}</span>
      <ejs-dropdownlist name="brand" #brand="ngModel" [(ngModel)]="activeApplyDropdownList"
        [dataSource]="applyDropdownList" cssClass="e-outline" class="custom-small-ddl"
        [placeholder]="kpi.selectOptionWaterMark">
      </ejs-dropdownlist>
    </div>
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{commonContent.applyOptions[2]}}</span>
      <ejs-dropdownlist name="fieldForce" #fieldForce="ngModel" [(ngModel)]="activeApplyDropdownList"
        [dataSource]="applyDropdownList" cssClass="e-outline" class="custom-small-ddl"
        [placeholder]="kpi.selectOptionWaterMark">
      </ejs-dropdownlist>
    </div>
  </div>
</div>